## liquidprompt 2.1.2

=== docs/requirements.txt ===
sphinx>=4.3.0,<4.4.0
sphinx_rtd_theme>=1.0.0,<1.1.0

## liquidprompt 1.9

=== debian/changelog ===
liquidprompt (1.9-5) unstable; urgency=medium

  * [f0a50e1] d/patches: fix temperature warning

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 12 Jan 2016 19:35:50 +0100

liquidprompt (1.9-4) unstable; urgency=medium

  * [639668a] debian-default-cfg.patch: workaround LP_ENABLE_RUNTIME warning
    for zsh (Closes: #789688)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 20 Oct 2015 23:22:12 +0200

liquidprompt (1.9-3) unstable; urgency=medium

  * [cf40f5d] liquidprompt_activate: reword error message
  * [5adf7be] liquidprompt_activate: use "liquidprompt" in lowercase and without spaces
  * [66ed8dc] themes: add debian.theme

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 22 Jun 2015 09:08:44 +0200

liquidprompt (1.9-2) unstable; urgency=medium

  * [5fc3bed] d/control: architecture is all
  * [464f81d] config: add some Debian defaults
  * [7d4cb3c] liquidprompt_activate: replace 'source' with '.'
  * [b919847] config: don't set LP_ENABLE_TITLE by default

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 10 Jun 2015 08:40:38 +0200

liquidprompt (1.9-1) unstable; urgency=low

  * Initial release (Closes: #784643)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 07 May 2015 09:30:48 +0200

=== debian/control ===
Source: liquidprompt
Section: misc
Priority: optional
Maintainer: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/nojhan/liquidprompt
Vcs-Git: https://github.com/aborrero/pkg-liquidprompt.git
Vcs-Browser: https://github.com/aborrero/pkg-liquidprompt

Package: liquidprompt
Architecture: all
Depends: ${misc:Depends}
Enhances: screen, tmux
Suggests: acpi, lm-sensors
Description: adaptative prompt for bash & zsh
 Liquid Prompt gives you a nicely displayed prompt with useful
 information when you need it.
 .
 It shows you what you need when you need it. You will notice what
 changes when it changes, saving time and frustration. You can even use it
 with your favorite shell – bash or zsh.

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v_?(\d\S*)\.tar\.gz/liquidprompt-$1\.tar\.gz/ \
  https://github.com/nojhan/liquidprompt/tags .*/v_?(\d\S*)\.tar\.gz

## liquidprompt 1.10

=== debian/changelog ===
liquidprompt (1.10-3) unstable; urgency=medium

  * [d969827] d/tests/test-load-liquidpromot-bash.sh: export PS1 to
    simulate better a session
  * [8f1c8cd] d/tests/test-load-liquidprompt-bash.sh: turn on job control

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Fri, 03 Jun 2016 09:01:14 +0200

liquidprompt (1.10-2) unstable; urgency=medium

  * [0a324fb] d/debian.theme: refresh file with upstream version (Closes:
    #826097)
  * [4a168dc] d/control: liquidprompt enhances sudo as well
  * [4cff76c] d/install: wrap-and-sort
  * [d2c6957] d/tests: add 2 basics autopkgtest tests

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 02 Jun 2016 11:29:27 +0200

liquidprompt (1.10-1) unstable; urgency=medium

  * [bcf23b2] Imported Upstream version 1.10
  * [9e78744] d/control: bump std-version to 3.9.8
  * [92f160f] d/patches: drop 0001_fix_temperature.patch
  * [cde83b7] d/patches/debian-default-cfg.path: refresh patch
  * [b85fd15] d/patches/function_prefixes.patch: refresh patch

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 31 May 2016 10:38:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/nojhan/liquidprompt
 Vcs-Git: https://github.com/aborrero/pkg-liquidprompt.git
 Vcs-Browser: https://github.com/aborrero/pkg-liquidprompt
@@ -11,7 +11,7 @@
 Package: liquidprompt
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: screen, tmux
+Enhances: screen, sudo, tmux
 Suggests: acpi, lm-sensors
 Description: adaptative prompt for bash & zsh
  Liquid Prompt gives you a nicely displayed prompt with useful

=== debian/tests/control ===
Tests: test-load-liquidprompt-bash.sh
Depends: @, bash

Tests: test-load-liquidprompt-zsh.sh
Depends: @, zsh

## liquidprompt 1.11

=== debian/changelog ===
liquidprompt (1.11-3ubuntu1) bionic; urgency=medium

  * Handle unknown TERM.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2018 14:07:01 +0100

liquidprompt (1.11-3) unstable; urgency=medium

  * [4f02df2] d/: update email address to 'arturo@debian.org'
  * [03421e7] d/control: drop mercurial-git from Suggests

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 10 Oct 2016 12:15:31 +0200

liquidprompt (1.11-2) unstable; urgency=medium

  * [9ad9c81] d/control: add mercurial-git to Suggests (Closes: #835929)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 29 Aug 2016 15:42:24 +0200

liquidprompt (1.11-1) unstable; urgency=medium

  * [1a0e722] Imported Upstream version 1.11

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 13 Jul 2016 10:48:38 +0200

liquidprompt (1.10-4) unstable; urgency=medium

  * [7c3115d] d/tests/control: allow stderr in test-load-liquidprompt-bash.sh

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Sat, 18 Jun 2016 13:42:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: liquidprompt
 Section: misc
 Priority: optional
-Maintainer: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
+Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.8
 Homepage: https://github.com/nojhan/liquidprompt

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

override_dh_install:
	dh_install
	chmod -x debian/liquidprompt/usr/share/liquidprompt/liquidprompt
%:
	dh $@

## liquidprompt 1.12.0

=== debian/changelog ===
liquidprompt (1.12.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Sep 2020 16:37:27 -0700

liquidprompt (1.12.0-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [49f1574] d/control: refresh VCS-* URLs

  [ Ondřej Nový ]
  * [080bdce] d/copyright: Use https protocol in Format field

  [ Arturo Borrero Gonzalez ]
  * [c587044] New upstream version 1.12.0 (Closes: #966090)
  * [8c03a25] src:liquidprompt: bump std-version to 4.5.0
  * [bf9775b] d/control: introduce Multi-Arch: foreign
  * [c92d0e3] src:liquidprompt: switch to debhelper 12
  * [877773a] d/patches: refresh patches for new upstream release

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 09 Sep 2020 10:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: liquidprompt
 Section: misc
 Priority: optional
-Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Homepage: https://github.com/nojhan/liquidprompt
-Vcs-Git: https://github.com/aborrero/pkg-liquidprompt.git
-Vcs-Browser: https://github.com/aborrero/pkg-liquidprompt
+Vcs-Git: https://salsa.debian.org/debian/pkg-liquidprompt
+Vcs-Browser: https://salsa.debian.org/debian/pkg-liquidprompt
 
 Package: liquidprompt
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: screen, sudo, tmux
 Suggests: acpi, lm-sensors

## liquidprompt 2.1.2

=== debian/changelog ===
liquidprompt (2.1.2-1) unstable; urgency=medium

  * [e60bba8] New upstream version 2.1.2 (Closes: #1015970)
  * [bc39d47] debian/patches/debian-default-cfg.patch: refresh patch
  * [2512f9a] debian/patches/function_prefixes.patch: refresh file

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 10 Aug 2022 13:52:42 +0200

liquidprompt (2.0.3-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [b239abc] liquidprompt: add pointers to upstream online documentation

  [ Debian Janitor ]
  * [e4921a2] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [92ab386] Use canonical URL in Vcs-Git.
  * [5002d9e] Update standards version to 4.6.0, no changes needed.

  [ Arturo Borrero Gonzalez ]
  * [1b27d13] d/: add gitlab-ci.yaml file
  * [e157c2c] New upstream version 2.0.3 (Closes: #996242)
  * [8abd4a4] gitignore: ignore quilt .pc/ directory
  * [12ec2ab] d/patches: refresh debian-default-cfg.patch
  * [89b5c4b] d/patches: refresh function_prefixes.patch

  [ Christian Göttsche ]
  * [5103b1d] Specify Rules-Requires-Root: no
  * [d9a75d6] Update Debian theme
  * [e8a7e22] Install extra themes
  * [1ad6def] Quote shell variables to prevent globbing and word splitting

  [ Simon Chopin ]
  * [daa94eb] tests: make sure we have a proper TERM set
  * [4077b2e] d/p/unknown-term.patch: safe early return if TERM=unknown

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 31 Oct 2021 11:06:21 +0100

=== debian/control ===
Source: liquidprompt
Section: misc
Priority: optional
Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/nojhan/liquidprompt
Vcs-Git: https://salsa.debian.org/debian/pkg-liquidprompt.git
Vcs-Browser: https://salsa.debian.org/debian/pkg-liquidprompt

Package: liquidprompt
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: screen, sudo, tmux
Suggests: acpi, lm-sensors
Description: adaptative prompt for bash & zsh
 Liquid Prompt gives you a nicely displayed prompt with useful
 information when you need it.
 .
 It shows you what you need when you need it. You will notice what
 changes when it changes, saving time and frustration. You can even use it
 with your favorite shell – bash or zsh.
 .
 Find extensive online documentation at https://liquidprompt.readthedocs.io/

## liquidprompt 2.2.1

=== docs/requirements.txt ===
sphinx>=5.2.0,<5.3.0
sphinx_rtd_theme>=1.0.0,<1.1.0
# Might need libenchant installed from OS package manager to work.
sphinxcontrib-spelling>=7.6.1,<7.7.0
# Claims to need Python 3.7+, but works fine on Python 3.6. Installed using --ignore-requires-python
sphinx-lint>=0.6.7,<0.7.0

=== debian/changelog ===
liquidprompt (2.2.1-2) unstable; urgency=medium

  * Generate liquidpromptrc-dist (Closes: #1101343).
  * Check temperature warning (Closes: #1002031).

 -- Tomasz Rybak <serpent@debian.org>  Mon, 31 Mar 2025 22:06:49 +0200

liquidprompt (2.2.1-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * New upstream version 2.2.1 (Closes: #1076284, #932041, #942483)
  * d/patches: drop debian-default-cfg.patch

  [ Tomasz Rybak ]
  * Add myself to maintainers, move Arturo to Uploaders.
  * Update debian/watch file to version 4.
  * Update debian/install.
  * Refresh patches.
  * Update Standards-Version to 4.7.2; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 24 Mar 2025 23:03:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: liquidprompt
 Section: misc
 Priority: optional
-Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
+Maintainer: Tomasz Rybak <serpent@debian.org>
+Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/nojhan/liquidprompt
 Vcs-Git: https://salsa.debian.org/debian/pkg-liquidprompt.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 override_dh_install:
 	dh_install
+	tools/config-from-doc.sh >debian/liquidprompt/usr/share/liquidprompt/liquidpromptrc-dist
 	chmod -x debian/liquidprompt/usr/share/liquidprompt/liquidprompt
 %:
 	dh $@

=== debian/tests/control ===
Tests: test-load-liquidprompt-bash.sh
Depends: @, bash
Restrictions: allow-stderr

Tests: test-load-liquidprompt-zsh.sh
Depends: @, zsh

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v_?(\d\S*)\.tar\.gz/liquidprompt-$1\.tar\.gz/" https://github.com/liquidprompt/@PACKAGE@/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
